# tkvabout.tcl --
#
#

if {![info exists tkVoice]} {
    error "This script should be run from within  \"tkvoice\"."
}

set w .tkvabout
catch {destroy $w}
toplevel $w
wm title $w "tkVoice About"
wm iconname $w "tkVoice About"
wm iconbitmap $w @$tkvoicedir/image/icon
positionWindow $w

set bgcolor "#eeeeee"

######################################################
# tkvoice setup image
frame $w.gif
pack $w.gif -side top -fill x

catch {image delete tkvoicepaths}
image create photo tkvoicepaths -file [file join $tkvoicedir/image/tkvoiceabout.gif]

label $w.gif.tkvoicepaths -image tkvoicepaths -bd 1 -relief sunken
label $w.gif.linux -image linux -bd 1 -relief sunken
label $w.gif.phone -image phone -bd 1 -relief sunken
label $w.gif.penguin -image penguin -bd 1 -relief sunken
 
pack $w.gif.phone -side left
pack $w.gif.tkvoicepaths -side left -expand 1 -fill x
pack $w.gif.linux -side right
pack $w.gif.penguin -side right

#########################

frame $w.buttons
pack $w.buttons -side bottom -fill x -pady 2m
button $w.buttons.cancel -text CANCEL -command "destroy $w"
pack $w.buttons.cancel -side left -expand 1

text $w.text -width 20 -height 10 -background $bgcolor -relief sunken
pack $w.text -expand yes -fill both

$w.text tag configure big -font {Helvetica 18 bold} -justify center
$w.text tag configure norm -font {Helvetica 12} -justify center
$w.text tag configure bold -font {Helvetica 12 bold} -justify center
$w.text insert end "\n$TKVREV\n$TKVDATE\n" big
$w.text insert end "by Peter Bruley\n" norm
$w.text insert end "\nNew Releases:" norm
$w.text insert end "\nhttp://tkvoice.netfirms.com/\n" bold
$w.text configure -state disabled
