# tkvrecord.tcl --
#
#

if {![info exists tkVoice]} {
    error "This script should be run from within  \"tkvoice\"."
}

set w .tkvrecord
catch {destroy $w}
toplevel $w
wm title $w "tkVoice Record Greeting"
wm iconname $w "tkVoice Record Greeting"
wm iconbitmap $w @$tkvoicedir/image/icon
positionWindow $w

###########################################################
global RecIND RecBut

proc recadvance {} {
global tkvoicedir tkVoice voicedir voiceout voicein greeting
global MODEMTYPE MODEMCOMP
uplevel [list source [file join $tkvoicedir/TCL/tkvrecadvanced.tcl]]
}

proc srecord {} {
global RecIND RecFLASH RecBUT
set RecFLASH 1
sflash
record_g
}

proc sflash {} {
global RecIND RecFLASH RecBUT

$RecIND configure -state normal

if { $RecFLASH == 1} {
# valid states: normal, active or disabled
   $RecIND flash
   }

if { $RecFLASH == 1} {
   # after 0.01 sec. flash the record button again:
   after 10 sflash
   }
$RecIND configure -state disabled
}

proc sstop {} {
global tkvoicedir tkVoice voicedir voiceout voicein greeting
global MODEMTYPE MODEMCOMP RecIND RecFLASH
if {$RecFLASH == 1 } {
   set RecFLASH 0
   record_gstop
   convert_g
   }
}

#################################################
# tkvoice setup image
frame $w.gif
pack $w.gif -side top -fill x

catch {image delete tkvoicerecord}
image create photo tkvoicerecord -file [file join $tkvoicedir/image/tkvoicerecord.gif]
label $w.gif.tkvoicerecord -image tkvoicerecord -bd 1 -relief sunken
label $w.gif.linux -image linux -bd 1 -relief sunken
label $w.gif.phone -image phone -bd 1 -relief sunken
label $w.gif.penguin -image penguin -bd 1 -relief sunken
 
pack $w.gif.phone -side left
pack $w.gif.tkvoicerecord -side left -expand 1 -fill x
pack $w.gif.linux -side right
pack $w.gif.penguin -side right

frame $w.buttons
pack $w.buttons -side bottom -fill x -pady 2m
button $w.buttons.help -text ADVANCED -width 10  -command "recadvance; destroy $w"
button $w.buttons.cancel -text CANCEL -width 10 -command "destroy $w"
pack $w.buttons.help $w.buttons.cancel -side left -expand 1

###

frame $w.left
frame $w.right
label $w.left.press -justify left -text "RECORD YOUR OUTGOING GREETING"
set RecIND $w.right.press
# relief: flat, groove, raised ridge solid sunken
radiobutton $RecIND -relief groove -text "RECORDING" -indicatoron 0 -selectcolor gray -state disabled -activebackground red

catch {image delete rec}
image create photo rec -file [file join $tkvoicedir/image/record.gif]
set RecBUT $w.right.rec
button $w.right.rec -image rec -anchor center -command "srecord"
label $w.left.rec -font {helvetica 18 bold} -justify left -text "PRESS TO START:"
catch {image delete stoprec}
image create photo stoprec -file [file join $tkvoicedir/image/stoprec.gif]
button $w.right.stop -image stoprec -anchor center -command "sstop"
label $w.left.stop -font {helvetica 18 bold} -justify left -text "PRESS TO STOP:"
button $w.right.play -image play -anchor center -command "play_g"
label $w.left.play -font {helvetica 18 bold} -justify left -text "PRESS TO LISTEN:"

pack $w.left  -side left -expand yes  -pady .5c -padx 1c
pack $w.right -side left -expand yes  -pady .5c -padx 1c
pack $w.left.press $w.left.rec $w.left.stop $w.left.play -side top -pady 3 -anchor w
pack $w.right.press $w.right.rec $w.right.stop $w.right.play -side top -pady 2 -anchor center
