# tkvrecordhelp.tcl --
#
#

if {![info exists tkVoice]} {
    error "This script should be run from within  \"tkvoice\"."
}

set w .tkvrecordhelp
catch {destroy $w}
toplevel $w
wm title $w "tkVoice Record Help"
wm iconname $w "tkVoice Record Help"
wm iconbitmap $w @$tkvoicedir/image/icon
positionWindow $w

#################################################
# tkvoice setup image
frame $w.gif
pack $w.gif -side top -fill x

catch {image delete tkvoicerecord}
image create photo tkvoicerecord -file [file join $tkvoicedir/image/tkvoicerecord.gif]
label $w.gif.tkvoicerecord -image tkvoicerecord -bd 1 -relief sunken
label $w.gif.linux -image linux -bd 1 -relief sunken
label $w.gif.phone -image phone -bd 1 -relief sunken
label $w.gif.penguin -image penguin -bd 1 -relief sunken
 
pack $w.gif.phone -side left
pack $w.gif.tkvoicerecord -side left -expand 1 -fill x
pack $w.gif.linux -side right
pack $w.gif.penguin -side right

###########################################################

label $w.msg -font {helvetica 18 bold} -justify center -width 50 -text "TkVoice Record Help"
label $w.msg1 -font $font -wraplength 5i -justify left -width 50 -text "When you press the Record button speak your greeting into the microphone.If you are using \"krecord\" or some other 3rd party application to record the WAV file be sure to save the recording to:\n$voicedir$voiceout/$greeting.wav\n\nYou can listen to your \"$greeting.wav\" file by pressing the Listen button.\n\nOnce you are happy with the \"$greeting.wav\" file press the convert button to create the \"$MODEMTYPE Compression Method $MODEMCOMP\" RMD file and save it to:\n\"$voicedir$voiceout/$greeting\""
pack $w.msg $w.msg1 -side top -pady 5m

frame $w.buttons
pack $w.buttons -side bottom -fill x -pady 2m
button $w.buttons.cancel -text CANCEL -command "destroy $w"
pack $w.buttons.cancel -side left -expand 1
